=== debian/watch ===
version=3

opts=\
uversionmangle=s/([.0-9]+)(\D+)/$1~$2/,\
dversionmangle=s/\+svn\d+//;s/\+dfsg$// \
http://sf.net/pyevolve/Pyevolve-(.+)\.tar\.gz
