## pyevolve 0.6~rc1+svn397.dfsg

=== debian/changelog ===
pyevolve (0.6~rc1+svn397.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #580924)
  * debian/patches:
    - 0001-Use-documentation-template-from-0.5
    - 0002-Fix-broken-example-12
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Christian Kastner <debian@kvr.at>  Wed, 26 May 2010 22:32:46 +0200
