=== debian/control ===
Source: pyevolve
Section: python
Priority: optional
Maintainer: Christian Kastner <debian@kvr.at>
Build-Depends:
    debhelper (>= 7.4.3),
    python-all (>= 2.5),
    python-support (>= 0.90),
    python-setuptools,
    python-sphinx,
    python-matplotlib (>= 0.98.5),
    python-tk,
    python-numpy,
    python-pydot
Standards-Version: 3.8.4
Homepage: http://pyevolve.sourceforge.net
Vcs-Git: git://scm.kvr.at/git/pkg-pyevolve.git
Vcs-Browser: http://scm.kvr.at/git/?p=pkg-pyevolve.git;a=summary

Package: python-pyevolve
Architecture: all
Depends:
    ${python:Depends},
    ${misc:Depends}
Recommends:
    python-pyevolve-doc,
    python-matplotlib (>= 0.98.5),
    python-tk,
    python-numpy,
    python-pydot
Suggests:
    python-visual,
    python-mysqldb
Description: Complete genetic algorithm framework
 Pyevolve was developed to be a complete genetic algorithm framework written in
 pure Python. It provides an easy-to-use API, implementing the most common
 features of GA, including various selectors and scaling schemes. It is also
 easily extendable, allowing users to create new representations and genetic
 operators. Various methods of interactive and non-interactive visualization
 are supported.
 .
 This package contains the Python modules.
 
Package: python-pyevolve-doc
Section: doc
Architecture: all
Depends:
    ${misc:Depends}
Recommends:
    python-pyevolve,
    libjs-jquery
Description: Documentation for the Pyevolve genetic algorithm framework
 Pyevolve was developed to be a complete genetic algorithm framework written in
 pure Python. It provides an easy-to-use API, implementing the most common
 features of GA, including various selectors and scaling schemes. It is also
 easily extendable, allowing users to create new representations and genetic
 operators. Various methods of interactive and non-interactive visualization
 are supported.
 . 
 This package contains the documentation for Pyevolve in HTML form, and some
 examples.
