=== debian/watch ===
version=3

opts=dversionmangle=s/~//;s/~svn\d+//;s/\+dfsg$// \
http://sf.net/pyevolve/Pyevolve-(.+)\.tar\.gz
