## pyevolve 0.6~rc1+svn398+dfsg

=== debian/changelog ===
pyevolve (0.6~rc1+svn398+dfsg-7) unstable; urgency=medium

  [ Juan Picca ]
  * debian/rules:
    - Make the build reproducible. Closes: #788403

  [ Christian Kastner ]
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found.
    - Lower-case package synopsis
    - Remove trailing whitespace in package description
  * debian/copyright:
    - Avoid spaces in short license name
    - Bump copyright years

 -- Christian Kastner <debian@kvr.at>  Tue, 07 Jul 2015 16:37:50 +0200

pyevolve (0.6~rc1+svn398+dfsg-6) unstable; urgency=medium

  * Migrate the git repo to the Debian Science section at git.debian.org
  * debian/control:
    - Update Vcs-* URLs to point to new location
  * debian/tests:
    - Fix syntax error in autopkgtest control file, preventing tests from being
      run properly.

 -- Christian Kastner <debian@kvr.at>  Sun, 17 Aug 2014 22:37:45 +0200

pyevolve (0.6~rc1+svn398+dfsg-5) unstable; urgency=low

  * debian/tests:
    - Add missing dependency on python-pydot to "run-most-examples"

 -- Christian Kastner <debian@kvr.at>  Sun, 10 Aug 2014 01:14:54 +0200

pyevolve (0.6~rc1+svn398+dfsg-4) unstable; urgency=low

  * debian/tests:
    - Define an autopkgtest "run-most-examples". Runs all of upstream's
      examples except for a very-long-running one, and one designed for visual
      output.
  * debian/control:
    - Add version (>= 1.0.7+dfsg-1~) to Build-Depends of python-sphinx
      (as recommended by pybuild wiki)
    - Add XS-Testsuite header for autopkgtest
  * debian/rules:
    - Switch to pybuild
    - Run autopkgtest after build against build result

 -- Christian Kastner <debian@kvr.at>  Thu, 07 Aug 2014 23:53:53 +0200

pyevolve (0.6~rc1+svn398+dfsg-3) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes needed)
    - Bump debhelper Build-Depends to (>= 9)
    - Bump python-all Build-Depends to (>= 2.6.6-3~)
    - python-pyevolve-doc: drop Recommends for libjs-jquery and add Depends for
      ${sphinxdoc:Depends}. sphinxdoc will add the right dependency
    - Add X-Python-Version with >= 2.6, thereby implicitly dropping support for
      Python 2.5 (it used to be supported in the now removed debian/pyversions).
    - Drop Build-Depends for python-support
    - Remove obsolete DM-Upload-Allowed field
  * debian/compat:
    - Bump debhelper compatibility level to 9
  * debian/rules:
    - Convert Python build helper from deprecated python-support to dh_python2
    - Build documentation using dh_sphinxdoc
    - Drop unnecessary cleaning, dh_sphinxdoc does it for us
  * debian/svn-orig-source.sh
    - Fix for relative path breakage
  * debian/pyversions:
    - Dropped (obsolete)
  * debian/copyright:
    - Update to machine-readable format v1.0
  * debian/source/lintian-overrides:
    - Add override for debian-watch-may-check-gpg-signature
  * debian/*.lintian-overrides:
    - Add overrides for no-upstream-changelog
  * debian/gbp.conf
    - Created (package is based on dfsg branch, not upstream)

 -- Christian Kastner <debian@kvr.at>  Tue, 04 Mar 2014 11:15:12 +0100

pyevolve (0.6~rc1+svn398+dfsg-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Symlink jquery.js into the correct directory. Closes: #627359

  [ Christian Kastner ]
  * debian/svn-get-orig.sh:
    - Added this script which creates an upstream tarball from an SVN revision
  * debian/rules:
    - Re-added get-orig-source target (via svn-get-orig.sh above)

  [ Yaroslav Halchenko ]
  * debian/control:
    - Added DM-Upload-Allowed

 -- Christian Kastner <debian@kvr.at>  Wed, 01 Jun 2011 02:01:23 +0200

pyevolve (0.6~rc1+svn398+dfsg-1) unstable; urgency=low

  * Upstream:
    - Fast-forwarded one commit (to HEAD) so that the DFSG suffix can be
      changed to from .dfsg to +dfsg, thereby resolving a lintian warning.
  * debian/control:
    - Bumped Standards-Version to 3.9.2 (changes required)
  * debian/copyright:
    - Include the full text of the BSD-3-clause license
    - Refreshed DEP5-format to r173
    - Added Disclaimer for the modifications made during DFSG-cleaning
  * debian/dfsg.remove
    - Added dfsg.remove, which contains a list of file patterns used during
      the DFSG-cleaning process
  * debian/rules:
    - Removed broken get-orig-source target. It will be re-implemented in the
      next upload using a generic helper script, which is currently under
      development
  * debian/watch:
    - Rewrote versionmangle logic. Release qualifiers (eg: "beta") are now
      uversionmangle; tags such as +dfsg continue to be dversionmangled
  * debian/README:
    - Split into package-specific READMEs for python-pyevolve and
      python-pyevolve-doc

 -- Christian Kastner <debian@kvr.at>  Thu, 07 Apr 2011 23:32:38 +0200
