=== debian/tests/control ===
Tests: run-most-examples
Depends: python-pyevolve, python-pydot
