## pyevolve 0.6+git20151103.589b6a9

=== debian/changelog ===
pyevolve (0.6+git20151103.589b6a9-1) unstable; urgency=medium

  * New upstream version 0.6+git20151103.589b6a9
    - Upstream has moved from SourceForge to GitHub
  * Move Files-Excluded patterns from standalone file to d/copyright
  * Update d/watch to check GitHub HEAD
    - Upstream hasn't tagged or released yet
  * d/patches:
    - Refresh 0002-Fix-broken-example-12.patch
    - Add patch Switch-away-from-deprecated-sphinx-interface.patch
      Closes: #896625
  * d/tests: Rename ADTTMP to AUTOPKGTEST_TMP
  * d/control:
    - Point Vcs-* to Salsa
    - Switch Build-Depends from debhelper to debhelper-compat
    - Bump debhelper to compatibility level 12
    - Drop ancient X-Python-Version
    - Bump Standards-Version to 4.3.0
    - Add Rules-Requires-Root: no
      We don't need (fake)root for building the packages
    - Mark python-pyevolve-doc as Multi-Arch: foreign
      As per the Multiarch hinter's suggestion
    - Switch Build-Depends from python-sphinx to python3-sphinx
  * Remove now obsolete d/compat
  * gbp.conf:
    - Set pristine-tar and sign-tags options
      Drop upstream-tag option
      We got rid of the custom dfsg branch, everything is on upstream now
  * Get rid of patch numbers (also set that in gbp.conf)
  * d/source/lintian-overrides:
    - Add python-foo-but-no-python3-foo
      Upstream does not provide Python 3 packages
    - Drop debian-watch-may-check-gpg-signature
      Tag has ben re-classified as experimental
  * d/rules:
    - Use SOURCE_DATE_EPOCH instead of dpkg-parsechangelog
    - Drop override_dh_compress
      Examples are excluded in debhelper compatibility 12
  * doc-base: debhelper compat >= 11 installs documentation to main package
  * d/copyright:
    - Switch to https in Format field
    - Bump copyrights

 -- Christian Kastner <ckk@debian.org>  Mon, 18 Feb 2019 21:54:45 +0100

pyevolve (0.6~rc1+svn398+dfsg-9) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sun, 17 Apr 2016 16:36:55 +0200

pyevolve (0.6~rc1+svn398+dfsg-8) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.7 (no changes needed)
    - Switch Maintainer email to my @debian.org address
    - Switch Vcs-Browser from gitweb to cgit
    - Vcs-* from insecure URIs to secure ones

 -- Christian Kastner <ckk@debian.org>  Mon, 21 Mar 2016 16:52:28 +0100
