=== debian/control ===
Source: pyevolve
Section: python
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper-compat (= 12),
    python-all (>= 2.6.6-3~),
    dh-python,
    python-setuptools,
    python3-sphinx,
    python-matplotlib (>= 0.98.5),
    python-tk,
    python-numpy,
    python-pydot,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/perone/Pyevolve
Vcs-Git: https://salsa.debian.org/science-team/pyevolve.git
Vcs-Browser: https://salsa.debian.org/science-team/pyevolve

Package: python-pyevolve
Architecture: all
Depends:
    ${python:Depends},
    ${misc:Depends},
Recommends:
    python-pyevolve-doc,
    python-matplotlib (>= 0.98.5),
    python-tk,
    python-numpy,
    python-pydot,
Suggests:
    python-visual,
    python-mysqldb,
Description: complete genetic algorithm framework
 Pyevolve was developed to be a complete genetic algorithm framework written in
 pure Python. It provides an easy-to-use API, implementing the most common
 features of GA, including various selectors and scaling schemes. It is also
 easily extendable, allowing users to create new representations and genetic
 operators. Various methods of interactive and non-interactive visualization
 are supported.
 .
 This package contains the Python modules.

Package: python-pyevolve-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends},
Recommends:
    python-pyevolve,
Description: documentation for the Pyevolve genetic algorithm framework
 Pyevolve was developed to be a complete genetic algorithm framework written in
 pure Python. It provides an easy-to-use API, implementing the most common
 features of GA, including various selectors and scaling schemes. It is also
 easily extendable, allowing users to create new representations and genetic
 operators. Various methods of interactive and non-interactive visualization
 are supported.
 .
 This package contains the documentation for Pyevolve in HTML form, and some
 examples.
