=== debian/watch ===
version=4

# Upstream hasn't tagged or released, so we have to monitor HEAD

opts=\
mode=git,\
pretty=0.6+git%cd.%h,\
pgpmode=none \
https://github.com/perone/Pyevolve HEAD
